Bug 76716 - Alien built for wrong perl version
Alien built for wrong perl version
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: alien (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-25 06:48 EDT by Toralf
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-25 06:48:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Toralf 2002-10-25 06:48:48 EDT
Description of Problem:
Supplied alien package installs libs for perl 5.6.0, but perl version included
is 5.6.1 

Version-Release number of selected component (if applicable):
7.24-3

How Reproducible:
Every time

Steps to Reproduce:
1. alien


Actual Results:
Can't locate Alien/Package/Deb.pm in @INC (@INC contains: .
/usr/local/lib/perl5/site_perl/linux /usr/local/lib/perl5/site_perl
/usr/lib/perl5/5.6.1/i386-linux /usr/lib/perl5/5.6.1
/usr/lib/perl5/site_perl/5.6.1/i386-linux /usr/lib/perl5/site_perl/5.6.1
/usr/lib/perl5/site_perl/5.6.0/i386-linux /usr/lib/perl5/site_perl/5.6.0
/usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.6.1/i386-linux
/usr/lib/perl5/vendor_perl/5.6.1 /usr/lib/perl5/vendor_perl .) at /usr/bin/alien
line 212.
BEGIN failed--compilation aborted at /usr/bin/alien line 212.


Expected Results:
Alien usage message

Additional Information:
rpm --rebuild <source rpm> produces a package where command can be started
correctly at least.
Comment 1 Jeff Johnson 2002-10-25 10:08:44 EDT
Alien has been removed from the Red Hat distro.

Note You need to log in before you can comment on or make changes to this bug.